package com.ruoyi.custclient.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 车辆影像化资料对象 vehicle_photo
 * 
 * @author wuyufei
 * @date 2024-10-21
 */
public class VehiclePhoto
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** vehicle_info表中的ID */
    @Excel(name = "vehicle_info表中的ID")
    private Long vehicleId;

    /** 照片类型（使用数字表示）1 正面照 2 侧面照 3后面照 4 内饰照 */
    @Excel(name = "照片类型", readConverterExp = "使=用数字表示")
    private Long type;

    /** 照片路径 */
    @Excel(name = "照片路径")
    private String url;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date creationDate;

    /** 逻辑删除 0存在 1删除 */
    @TableLogic
    private Long delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setVehicleId(Long vehicleId) 
    {
        this.vehicleId = vehicleId;
    }

    public Long getVehicleId() 
    {
        return vehicleId;
    }
    public void setType(Long type) 
    {
        this.type = type;
    }

    public Long getType() 
    {
        return type;
    }
    public void setUrl(String url) 
    {
        this.url = url;
    }

    public String getUrl() 
    {
        return url;
    }
    public void setCreationDate(Date creationDate) 
    {
        this.creationDate = creationDate;
    }

    public Date getCreationDate() 
    {
        return creationDate;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vehicleId", getVehicleId())
            .append("type", getType())
            .append("url", getUrl())
            .append("creationDate", getCreationDate())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
